Skip to main content
POST
Create or update a job

Authorizations

x-api-key
string
header
required

Body

application/json
vmsType
string
required

Pre-configured VMS platform key.

vmsJobRefId
string
required

Job ID in the VMS.

title
string
facility
string
location
string
department
string
role
string
atsJobRefId
string

Job ID in the ATS.

atsSystem
string

Pre-configured ATS platform key.

Response

201 - application/json

Job created

id
string<uuid>
vmsJobRefId
string
atsJobRefId
string | null
atsSystem
string | null
title
string | null
facility
string | null
location
string | null
department
string | null
role
string | null
status
enum<string>
Available options:
ACTIVE,
FILLED,
CLOSED,
UNAVAILABLE
vmsIntegration
object
requirementCount
integer
mappedCount
integer
requirements
object[]
placementCount
integer
scrapeQueued
boolean

Only on POST /job. false when the job is UNAVAILABLE and force was not set.